List all workspaces
List all workspaces with pagination.
When authentication is enabled, only workspaces the principal has access to
are returned. Service principals and platform admins have access to all workspaces.
Query Parameters:
- page, page_size: Pagination
- sort: Sort field
- filter: Advanced filters (JSON, text, or bracket notation)
Example:
```
GET /apis/entities/v2/workspaces?sort=-created_at&page=1&page_size=10
```
Query parameters
page
Page number
page_size
Items per page
sort
Sort field
Allowed values:
filter
Query filter expression. Supports text and JSON syntaxes:
- Text: name:"value" AND status>500 with operators : ~ > >= < <= IN NOT IN AND OR and negation prefix -
- Object (JSON): {"name":{"$like":"value"}} with operators $eq, $like, $lt, $lte, $gt, $gte, $in, $nin, $and, $or, $not
- Bracket notation: ?filter[name][$like]=value
- Relationship traversal: ?filter[relationship][$exists]=true or ?filter[relationship][field]=value
Response
Successful Response
data
pagination
Pagination information.
sort
The field on which the results are sorted.
filter
Filtering information.
Errors
422
Unprocessable Entity Error